Bug 781970 - [vdsm] Migration fails due to changes in xmlrpclib in Python 2.7
Summary: [vdsm] Migration fails due to changes in xmlrpclib in Python 2.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.1
Assignee: Dan Kenigsberg
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-16 08:23 UTC by Jakub Libosvar
Modified: 2012-08-09 08:04 UTC (History)
7 users (show)

Fixed In Version: v4.9.3.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)
vdsm.log (18.39 KB, text/x-log)
2012-01-16 08:23 UTC, Jakub Libosvar
no flags Details

Description Jakub Libosvar 2012-01-16 08:23:02 UTC
Created attachment 555449 [details]
vdsm.log

Description of problem:
Having Fedora 16 as host - migrations don't work due to usage of Python 2.7 and it's site packages (xmlrpclib). I think there will be more issues like this, not only during migration.
I remember there were some issues when one wanted to use vdsm-cli with Python 2.7.

Version-Release number of selected component (if applicable):
vdsm-4.9.2-0.65.gitf945dc2.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Have two Fedora 16 hosts
2. Start VM
3. Try to migrate VM
  
Actual results:
Migration fails

Expected results:
Migration succeeds

Additional info:

Thread-1969::DEBUG::2012-01-16 09:05:20,994::vm::116::vm.Vm::(_setupVdsConnection) vmId=`2522a424-fe67-47a4-a373-3f3308bf8b63`::Initiating connection with destination
Thread-1969::ERROR::2012-01-16 09:05:20,996::vm::122::vm.Vm::(_setupVdsConnection) vmId=`2522a424-fe67-47a4-a373-3f3308bf8b63`::Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 117, in _setupVdsConnection
    status = self.destServer.getVmStats(self._vm.id)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1575, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1294, in single_request
    response = h.getresponse(buffering=True)
AttributeError: TcpkeepHTTP instance has no attribute 'getresponse'

Comment 1 Dan Kenigsberg 2012-02-01 17:02:16 UTC
This has been fixed by
http://gerrit.ovirt.org/1065

Comment 2 Itamar Heim 2012-08-09 08:03:22 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Comment 3 Itamar Heim 2012-08-09 08:04:05 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.